Skip to content

Create instrument

Request

Creates a payment-instrument

Security
UserToken
Path
profileIdinteger, (int64)required
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
accountHolderNamestring
accountNumberstringrequired
accountOwnerDetailsobject
accountTypestring
bankCodestring
branchCodestring
referencestring
typestringrequired
curl -i -X POST \
  'https://api.wise.com/2026Q3/profiles/{profileId}/payment-instruments' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "accountHolderName": "string",
    "accountNumber": "string",
    "accountOwnerDetails": {
      "address": {
        "addressFirstLine": "string",
        "city": "string",
        "country": "string",
        "postCode": "string",
        "state": "string"
      },
      "email": "user@example.com"
    },
    "accountType": "string",
    "bankCode": "string",
    "branchCode": "string",
    "reference": "string",
    "type": "string"
  }'

Responses

OK

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
accountNumberstring
accountOwnerDetailsobject
bankCodestring
bankNamestring
branchCodestring
disconnectReasonstring
idstring, (uuid)
referencestring
statusstring
typestring
Response
{ "accountNumber": "string", "accountOwnerDetails": { "city": "string", "companyName": "string", "country": "string", "firstLine": "string", "postCode": "string", "state": "string" }, "bankCode": "string", "bankName": "string", "branchCode": "string", "disconnectReason": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reference": "string", "status": "string", "type": "string" }